clang-tools 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::clangd::PreambleData Struct Reference

`#include <ClangdUnit.h>`

Collaboration diagram for clang::clangd::PreambleData:
[legend]

## Public Member Functions
| PreambleData (PrecompiledPreamble Preamble, std::vector< Diag > Diags, IncludeStructure Includes, std::unique_ptr< PreambleFileStatusCache > StatCache)

## Public Attributes
tooling::CompileCommand | CompileCommand
PrecompiledPreamble | Preamble
std::vector< Diag > | Diags
IncludeStructure | Includes
std::unique_ptr< PreambleFileStatusCache > | StatCache

## Detailed Description

Definition at line 47 of file ClangdUnit.h.

## Constructor & Destructor Documentation

## ◆ PreambleData()

clang::clangd::PreambleData::PreambleData | ( | PrecompiledPreamble | Preamble,
|  | std::vector< Diag > | Diags,
|  | IncludeStructure | Includes,
|  | std::unique_ptr< PreambleFileStatusCache > | StatCache
| ) |  |

Definition at line 406 of file ClangdUnit.cpp.

## Member Data Documentation

## ◆ CompileCommand

tooling::CompileCommand clang::clangd::PreambleData::CompileCommand

Definition at line 52 of file ClangdUnit.h.

## ◆ Diags

std::vector<Diag> clang::clangd::PreambleData::Diags

Definition at line 54 of file ClangdUnit.h.

## ◆ Includes

IncludeStructure clang::clangd::PreambleData::Includes

Definition at line 57 of file ClangdUnit.h.

## ◆ Preamble

PrecompiledPreamble clang::clangd::PreambleData::Preamble

Definition at line 53 of file ClangdUnit.h.

Referenced by clang::clangd::ClangdServer::signatureHelp().

## ◆ StatCache

std::unique_ptr<PreambleFileStatusCache> clang::clangd::PreambleData::StatCache

Definition at line 60 of file ClangdUnit.h.

The documentation for this struct was generated from the following files:

- ClangdUnit.h
- ClangdUnit.cpp